Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface CronTrigger

All Superinterfaces:
  Cloneable, Comparable<Trigger>, Serializable, Trigger

All Known Implementing Classes:
  CronTriggerImpl

    public interface CronTrigger

extends Trigger

The public interface for inspecting settings specific to a CronTrigger, . which is used to fire a ``Job`` at given moments in time, defined with Unix 'cron-like' schedule definitions.

For those unfamiliar with "cron", this means being able to create a firing schedule such as: "At 8:00am every Monday through Friday" or "At 1:30am every last Friday of the month".

The format of a "Cron-Expression" string is documented on the `CronExpression` class.

Here are some full examples:

Expression |  | Meaning
--- | --- | ---
`"0 0 12 * * ?"` |  | `Fire at 12pm (noon) every day`
`"0 15 10 ? * *"` |  | `Fire at 10:15am every day`
`"0 15 10 * * ?"` |  | `Fire at 10:15am every day`
`"0 15 10 * * ? *"` |  | `Fire at 10:15am every day`
`"0 15 10 * * ? 2005"` |  | `Fire at 10:15am every day during the year 2005`
`"0 * 14 * * ?"` |  | `Fire every minute starting at 2pm and ending at 2:59pm, every day`
`"0 0/5 14 * * ?"` |  | `Fire every 5 minutes starting at 2pm and ending at 2:55pm, every day`
`"0 0/5 14,18 * * ?"` |  | `Fire every 5 minutes starting at 2pm and ending at 2:55pm, AND fire every 5 minutes starting at 6pm and ending at 6:55pm, every day`
`"0 0-5 14 * * ?"` |  | `Fire every minute starting at 2pm and ending at 2:05pm, every day`
`"0 10,44 14 ? 3 WED"` |  | `Fire at 2:10pm and at 2:44pm every Wednesday in the month of March.`
`"0 15 10 ? * MON-FRI"` |  | `Fire at 10:15am every Monday, Tuesday, Wednesday, Thursday and Friday`
`"0 15 10 15 * ?"` |  | `Fire at 10:15am on the 15th day of every month`
`"0 15 10 L * ?"` |  | `Fire at 10:15am on the last day of every month`
`"0 15 10 ? * 6L"` |  | `Fire at 10:15am on the last Friday of every month`
`"0 15 10 ? * 6L"` |  | `Fire at 10:15am on the last Friday of every month`
`"0 15 10 ? * 6L 2002-2005"` |  | `Fire at 10:15am on every last Friday of every month during the years 2002, 2003, 2004 and 2005`
`"0 15 10 ? * 6#3"` |  | `Fire at 10:15am on the third Friday of every month`

Pay attention to the effects of '?' and '*' in the day-of-week and day-of-month fields!

NOTES:

- Support for specifying both a day-of-week and a day-of-month value is not complete (you'll need to use the '?' character in on of these fields).
- Be careful when setting fire times between mid-night and 1:00 AM - "daylight savings" can cause a skip or a repeat depending on whether the time moves back or jumps forward.

Author:
  jhouse, Contributions from Mads Henderson
See Also:
  `CronScheduleBuilder`, `TriggerBuilder`

Nested Class Summary

Nested classes/interfaces inherited from interface org.quartz.Trigger
`Trigger.CompletedExecutionInstruction, Trigger.TriggerState, Trigger.TriggerTimeComparator`

Field Summary
`static int` | `MISFIRE_INSTRUCTION_DO_NOTHING` Instructs the ``Scheduler`` that upon a mis-fire situation, the ``CronTrigger`` wants to have it's next-fire-time updated to the next time in the schedule after the current time (taking into account any associated ``Calendar``, but it does not want to be fired now.
`static int` | `MISFIRE_INSTRUCTION_FIRE_ONCE_NOW` Instructs the ``Scheduler`` that upon a mis-fire situation, the ``CronTrigger`` wants to be fired now by `Scheduler`.
`static long` | `serialVersionUID`

Fields inherited from interface org.quartz.Trigger
`DEFAULT_PRIORITY, MISFIRE_INSTRUCTION_IGNORE_MISFIRE_POLICY, MISFIRE_INSTRUCTION_SMART_POLICY`

Method Summary
`String` | `getCronExpression()`
`String` | `getExpressionSummary()`
`TimeZone` | `getTimeZone()` Returns the time zone for which the `cronExpression` of this `CronTrigger` will be resolved.
`TriggerBuilder<CronTrigger>` | `getTriggerBuilder()` Get a `TriggerBuilder` that is configured to produce a `Trigger` identical to this one.

Methods inherited from interface org.quartz.Trigger
`compareTo, equals, getCalendarName, getDescription, getEndTime, getFinalFireTime, getFireTimeAfter, getJobDataMap, getJobKey, getKey, getMisfireInstruction, getNextFireTime, getPreviousFireTime, getPriority, getScheduleBuilder, getStartTime, mayFireAgain`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### MISFIRE_INSTRUCTION_FIRE_ONCE_NOW

    static final int MISFIRE_INSTRUCTION_FIRE_ONCE_NOW

  Instructs the ``Scheduler`` that upon a mis-fire situation, the ``CronTrigger`` wants to be fired now by `Scheduler`.

  See Also:
    Constant Field Values

### MISFIRE_INSTRUCTION_DO_NOTHING

    static final int MISFIRE_INSTRUCTION_DO_NOTHING

  Instructs the ``Scheduler`` that upon a mis-fire situation, the ``CronTrigger`` wants to have it's next-fire-time updated to the next time in the schedule after the current time (taking into account any associated ``Calendar``, but it does not want to be fired now.

  See Also:
    Constant Field Values

Method Detail

### getCronExpression

    String getCronExpression()

### getTimeZone

    TimeZone getTimeZone()

  Returns the time zone for which the `cronExpression` of this `CronTrigger` will be resolved.

### getExpressionSummary

    String getExpressionSummary()

### getTriggerBuilder

    TriggerBuilder<CronTrigger> getTriggerBuilder()

  Description copied from interface: `Trigger`
  Get a `TriggerBuilder` that is configured to produce a `Trigger` identical to this one.

  Specified by:
    `getTriggerBuilder` in interface `Trigger`
  See Also:
    `Trigger.getScheduleBuilder()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.